# Cocos引擎各个模块的作用及其含义

## 1. Core模块
* 核心模块

## 2. Canvas模块
* 功能：屏幕适配
* 字节数: 9059
* 代码行数: 285
* 文件名: CCCanvas.js

## 3. Sprite模块
* 功能：显示纹理图片，支持九宫、拉升、平铺、裁剪等功能
* 字节数: 19825
* 代码行数: 650
* 文件名: CCSprite.js

## 4. Label模块
* 功能：文本渲染
* 字节数: 18686
* 代码行数: 599
* 文件名: CCLabel.js

## 5. Mask模块
* 功能：为子节点提供遮罩裁剪能力
* 字节数: 11155
* 代码行数: 348
* 文件名: CCMask.js

## 6. CCSpriteDistortion模块
* 功能：扭曲效果组件,用于改变SIMPLE类型sprite的渲染,只有当sprite组件已经添加后,才能起作用.
* 字节数: 4268
* 代码行数: 118
* 文件名: CCSpriteDistortion.js

## 7. LabelOutline模块
* 功能：描边效果组件,用于字体描边,只能用于系统字体
* 字节数: 3943
* 代码行数: 118
* 文件名: CCLabelOutline.js

## 8. ParticleSystem模块
* 功能：粒子系统组件
* 字节数: 29961
* 代码行数: 1017
* 文件名: CCParticleSystem.js

## 9. TiledMap模块
* 功能：TileMap地图组件，渲染tmx格式的Tile Map。
* 字节数: 26241
* 代码行数: 885
* 文件名: CCTiledMap.js

## 10. Spine Skeleton模块
* 功能：Spine动画渲染模块，与Spine相关的所有的类，函数，属性，常量都在sp这个命名空间中定义。
* 字节数: 4082
* 代码行数: 139
* 文件名: index.js 

## 11. Widget模块
* 功能：Widget 组件，用于设置和适配其相对于父节点的边距，自动调整坐标和宽高，Widget通常被用于UI界面适配
* 字节数: 19549
* 代码行数: 613
* 文件名: CCWidget.js

## 12. Button模块
* 功能：Button按钮组件
* 字节数: 20454
* 代码行数: 670
* 文件名: CCButton.js

## 13. ProgressBar模块
* 功能：进度条组件
* 字节数: 9581
* 代码行数: 295
* 文件名: CCProgressBar.js

## 14. ScrollBar模块
* 功能：滚动条组件
* 字节数: 11525
* 代码行数: 352
* 文件名: CCScrollBar.js

## 15. ScrollView模块
* 字节数: 56872
* 代码行数: 1630
* 文件名: CCScrollView.js

## 16. Toggle模块
* 功能：Toggle 是一个 CheckBox，当它和 ToggleGroup 一起使用的时候，可以变成 RadioButton
* 字节数: 6843
* 代码行数: 230
* 文件名: CCToggle.js

## 17. ToggleGroup模块
* 功能：不是一个可见的 UI 组件，它可以用来修改一组 Toggle 组件的行为。当一组 Toggle 属于同一个 ToggleGroup 的时候，任何时候只能有一个 Toggle 处于选中状态。
* 字节数: 4513,
* 代码行数: 130,
* 文件名: CCToggleGroup.js

## 18. PageView模块
* 功能：页面视图组件，实现分页功能
* 字节数: 19105
* 代码行数: 611
* 文件名: CCPageView.js

## 19. PageViewIndicator模块
* 功能：页面视图每页标记组件，常用与PageView配合使用
* 字节数: 6106
* 代码行数: 200
* 文件名: CCPageViewIndicator.js

## 20. Slider模块
* 功能：滑动器组件
* 字节数: 7770
* 代码行数: 232
* 文件名: CCSlider.js

## 21. Layout模块
* 功能：Layout 组件相当于一个容器，能自动对它的所有子节点进行统一排版。
* 字节数: 32508
* 代码行数: 933
* 文件名: CCLayout.js

## 22. EditorBox模块
* 功能：EditBox组件，用于用户进入文本录入
* 字节数: 19490
* 代码行数: 643
* 文件名: CCEditBox.js

## 23. VideoPlayer模块
* 功能：Video组件，用于在游戏中播放视频
* 字节数: 13910
* 代码行数: 460
* 文件名: CCVideoPlayer.js

## 24 WebView模块
* 功能：WebView组件，用于在游戏中显示网页
* 字节数: 6333
* 代码行数: 201
* 文件名: CCWebView.js

## 25. RichText模块
* 功能：富文本组件
* 字节数: 25732
* 代码行数: 772
* 文件名: CCRichText.js

## 26. AudioSource模块
* 功能：音频源组件，可进行音频剪辑
* 字节数: 9432
* 代码行数: 359
* 文件名: CCAudioSource.js

## 27. Animation模块
* 功能：Animation 组件用于播放动画。
* 字节数: 22206
* 代码行数: 652
* 文件名: CCAnimation.js,index.js

## 28. MotionStreak模块
* 功能：运动轨迹，用于游戏对象的运动轨迹上实现拖尾渐隐效果。
* 字节数: 9727
* 代码行数: 296
* 文件名: CCMotionStreak.js

## 29. Collider模块

```
require('./CCCollisionManager');
require('./CCCollider');
require('./CCBoxCollider');
require('./CCCircleCollider');
require('./CCPolygonCollider');
```
* 字节数: 150
* 代码行数: 7
* 文件名: index.js

## 30. Action模块

```
require('./CCActionManager');
require('./CCAction');
require('./CCActionInterval');
require('./CCActionInstant');
require('./CCActionEase');
require('./CCActionCatmullRom');
```
* 字节数: 191
* 代码行数: 6
* 文件名: index.js

## 31. Audio模块
* 功能：cc.audioengine是单例对象，主要用来播放音频。
* 字节数: 14543
* 代码行数: 528
* 文件名: CCAudioEngine.js

## 32. Graphics模块
* 功能：绘图组件，对应cocos2dx上的DrawNode
* 字节数: 1768
* 代码行数: 42
* 文件名: index.js

## 33. DragonBones模块
* 功能：DragonBones动画模块。
* 字节数: 2832
* 代码行数: 105
* 文件名: index.js

## 34. Physics模块
* 功能：物理引擎，使用Box2d
* 字节数: 955
* 代码行数: 32
* 文件名: index.js

## 35. StudioComponent模块
* 功能：支持旧版CocosStudio加入的模块
* 字节数: 6430
* 代码行数: 267
* 文件名: CCStudioComponent.js

## 36. RenderTexture模块
* 功能：纹理渲染模块
* 字节数: 29687
* 代码行数: 858
* 文件名: CCRenderTexture.js、CCRenderTextureCanvasRenderCmd.js、CCRenderTextureWebGLRenderCmd.js

## 37. Chipmunk模块
* 功能：物理引擎
* 字节数: 173736
* 代码行数: 6183
* 文件名: chipmunk.js

## 38. Camera模块
* 功能：摄像机在制作卷轴或是其他需要移动屏幕的游戏时比较有用，使用摄像机将会比移动节点来移动屏幕更加高效。
* 字节数: 10358
* 代码行数: 383
* 文件名: CCCamera.js

## 39. Intersection模块
* 功能：碰撞检测辅助类，用于测试形状与形状是否相交
* 字节数: 8122
* 代码行数: 334
* 文件名: CCIntersection.js
